ServerEvents.recipes(e=> {
    const {
        alloy_smelting,
    } = e.recipes.enderio;
    //玄钢锭
    e.remove({ output: 'enderio:dark_steel_ingot' })
    alloy_smelting("2x enderio:dark_steel_ingot", ["2x enderio:grains_of_infinity", "#forge:ingots/steel", "#forge:dusts/obsidian"], 10000);
    alloy_smelting("4x immersiveengineering:dust_steel", ["4x #forge:dusts/iron", "#forge:dusts/coal_coke"], 10000);
    alloy_smelting("2x immersiveengineering:dust_steel", ["6x #forge:dusts/iron", "4x #forge:dusts/coal"], 10000);
    //导电铁
    alloy_smelting("4x enderio:conductive_alloy_ingot", ["3x create_new_age:overcharged_iron", "enderio:copper_alloy_ingot","minecraft:redstone"], 10000);
    //安山合金
    alloy_smelting("32x create:andesite_alloy", ["16x #create:stone_types/andesite", "16x #forge:ingots/iron"], 10000);
    //脉冲合金
    e.remove({ output: 'enderio:pulsating_alloy_ingot',type:'enderio:alloy_smelting'})
    alloy_smelting('enderio:pulsating_alloy_ingot', ['#forge:ingots/ender_ingot', '2x create_new_age:overcharged_iron'], 40000)
    //振动合金
    e.remove({ output: 'enderio:vibrant_alloy_ingot',type:'enderio:alloy_smelting'})
    alloy_smelting('enderio:vibrant_alloy_ingot', ['nwtc:red_aurum_ingot', 'enderio:pulsating_alloy_ingot','nwtc:alumite_ingot'], 50000)
    alloy_smelting('2x immersiveengineering:ingot_constantan', ['4x #forge:ingots/zinc', '4x #forge:ingots/copper'], 20000)





})